#if !defined(AFX_COLORLISTBOX_H__574E18A1_5F08_11D4_9FA5_00C04F633484__INCLUDED_)
#define AFX_COLORLISTBOX_H__574E18A1_5F08_11D4_9FA5_00C04F633484__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ColorListBox.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CColorListBox window

class CColorListBox : public CListBox
{
// Construction
public:
	CColorListBox();

// Attributes
private:
   bool        m_bInitialized;                  // Control Initialized?
   CString     m_sColorName;                    // Name Of Selected Color

private:

   void        Initialize( void );                 // Initialize Control/Colors

public:
   COLORREF    GetSelectedColorValue( void );      // Get Selected Color Value
   CString     GetSelectedColorName( void );       // Get Selected Color Name

   void        SetSelectedColorValue( COLORREF crClr );// Set Selected Color Value
   void        SetSelectedColorName( PCSTR cpColor ); // Set Selected Color Name

   bool        RemoveColor( PCSTR cpColor );       // Remove Color From List
   bool        RemoveColor( COLORREF crClr );         // Remove Color From List
   
   int         AddColor( PCSTR cpNam, COLORREF crClr );// Insert A New Color

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CColorListBox)
	public:
	virtual void MeasureItem(LPMEASUREITEMSTRUCT lpMeasureItemStruct);
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);

// Implementation
public:
	virtual ~CColorListBox();

	// Generated message map functions
protected:
	//{{AFX_MSG(CColorListBox)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COLORLISTBOX_H__574E18A1_5F08_11D4_9FA5_00C04F633484__INCLUDED_)
